[Previous] [Next] [Contents]

## `PART::PCore2Part` -- a partition from its `p`-core and `p`-quotient

#### Call(s)

`PART::PCore2Part(pcore)`

#### Parameters

`pcore` | - | a list of lists

#### Introduction

The function `PART::PCore2Part` is the inverse function of `Part2PCore`.

`pcore` is a list [c, v0, v1, ..., v{`p`-1}]: c is the `p`-core (obtained by removing all possible outside ribbons of length `p` from the diagram of `part`); v0, v1, ..., v{p-1} are the partitions obtained by sorting `part`[1], `part`[2]-1, `part`[3]-2, ... according to their residue modulo `p`.

#### Example 1

    >> muEC::PART::Part2PCore( [5,5,5,4,3,3,2,1,1,1], 3 );

                      [[2, 2, 1, 1], [1, 1, 1], [1], [3, 1]]

    >> muEC::PART::PCore2Part( % );

                          [5, 5, 5, 4, 3, 3, 2, 1, 1, 1]

#### Related Functions

`Part2PCore`

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package